Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Class ExpressionParser

    java.lang.Object
      org.apache.cayenne.exp.parser.ExpressionParser

All Implemented Interfaces:
  ExpressionParserConstants, ExpressionParserTreeConstants

    public class ExpressionParser

extends Object
implements ExpressionParserTreeConstants, ExpressionParserConstants

Parser of Cayenne Expressions.

Since:
  1.1

Field Summary
`Token` | `jj_nt` Next token.
`protected org.apache.cayenne.exp.parser.JJTExpressionParserState` | `jjtree`
`Token` | `token` Current token.
`ExpressionParserTokenManager` | `token_source` Generated Token Manager.

Fields inherited from interface org.apache.cayenne.exp.parser.ExpressionParserTreeConstants
`JJTADD, JJTAND, JJTBETWEEN, JJTDBPATH, JJTDIVIDE, JJTEQUAL, JJTFALSE, JJTGREATER, JJTGREATEROREQUAL, JJTIN, JJTLESS, JJTLESSOREQUAL, JJTLIKE, JJTLIKEIGNORECASE, JJTLIST, JJTMULTIPLY, JJTNAMEDPARAMETER, JJTNEGATE, jjtNodeName, JJTNOT, JJTNOTBETWEEN, JJTNOTEQUAL, JJTNOTIN, JJTNOTLIKE, JJTNOTLIKEIGNORECASE, JJTOBJPATH, JJTOR, JJTSCALAR, JJTSUBTRACT, JJTTRUE, JJTVOID`

Fields inherited from interface org.apache.cayenne.exp.parser.ExpressionParserConstants
`DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DOUBLE_QUOTED_STRING, EOF, ESC, EXPONENT, FALSE, FLOAT_LITERAL, FLT_SUFF, IDENTIFIER, INT_LITERAL, LETTER, NULL, PROPERTY_PATH, SINGLE_QUOTED_STRING, STRING_ESC, tokenImage, TRUE, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral`

Constructor Summary
`ExpressionParser(ExpressionParserTokenManager tm)` Constructor with generated Token Manager.
`ExpressionParser(InputStream stream)` Constructor with InputStream.
`ExpressionParser(InputStream stream, String encoding)` Constructor with InputStream and supplied encoding
`ExpressionParser(Reader stream)` Constructor.

Method Summary
`void` | `andCondition()`
`void` | `disable_tracing()` Disable tracing.
`void` | `enable_tracing()` Enable tracing.
`Expression` | `expression()`
`ParseException` | `generateParseException()` Generate ParseException.
`Token` | `getNextToken()` Get the next Token.
`Token` | `getToken(int index)` Get the specific Token.
`static void` | `main(String[] arg)`
`void` | `multiplySubtractExp()`
`void` | `namedParameter()`
`void` | `notCondition()`
`void` | `numericPrimary()`
`void` | `numericTerm()`
`void` | `orCondition()`
`void` | `pathExpression()`
`void` | `ReInit(ExpressionParserTokenManager tm)` Reinitialise.
`void` | `ReInit(InputStream stream)` Reinitialise.
`void` | `ReInit(InputStream stream, String encoding)` Reinitialise.
`void` | `ReInit(Reader stream)` Reinitialise.
`void` | `scalarCommaList()`
`void` | `scalarConditionExpression()`
`void` | `scalarConstExpression()`
`void` | `scalarExpression()`
`void` | `scalarNumericExpression()`
`void` | `simpleCondition()`
`void` | `simpleNotCondition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.apache.cayenne.exp.parser.JJTExpressionParserState jjtree

### token_source

    public ExpressionParserTokenManager token_source

  Generated Token Manager.

### token

    public Token token

  Current token.

### jj_nt

    public Token jj_nt

  Next token.

Constructor Detail

### ExpressionParser

    public ExpressionParser(InputStream stream)

  Constructor with InputStream.

### ExpressionParser

    public ExpressionParser(InputStream stream,
                            String encoding)

  Constructor with InputStream and supplied encoding

### ExpressionParser

    public ExpressionParser(Reader stream)

  Constructor.

### ExpressionParser

    public ExpressionParser(ExpressionParserTokenManager tm)

  Constructor with generated Token Manager.

Method Detail

### main

    public static void main(String[] arg)

### expression

    public final Expression expression()
                                throws ParseException

  Throws:
    `ParseException`

### orCondition

    public final void orCondition()
                           throws ParseException

  Throws:
    `ParseException`

### andCondition

    public final void andCondition()
                            throws ParseException

  Throws:
    `ParseException`

### notCondition

    public final void notCondition()
                            throws ParseException

  Throws:
    `ParseException`

### simpleCondition

    public final void simpleCondition()
                               throws ParseException

  Throws:
    `ParseException`

### simpleNotCondition

    public final void simpleNotCondition()
                                  throws ParseException

  Throws:
    `ParseException`

### scalarCommaList

    public final void scalarCommaList()
                               throws ParseException

  Throws:
    `ParseException`

### scalarConditionExpression

    public final void scalarConditionExpression()
                                         throws ParseException

  Throws:
    `ParseException`

### scalarExpression

    public final void scalarExpression()
                                throws ParseException

  Throws:
    `ParseException`

### scalarConstExpression

    public final void scalarConstExpression()
                                     throws ParseException

  Throws:
    `ParseException`

### scalarNumericExpression

    public final void scalarNumericExpression()
                                       throws ParseException

  Throws:
    `ParseException`

### multiplySubtractExp

    public final void multiplySubtractExp()
                                   throws ParseException

  Throws:
    `ParseException`

### numericTerm

    public final void numericTerm()
                           throws ParseException

  Throws:
    `ParseException`

### numericPrimary

    public final void numericPrimary()
                              throws ParseException

  Throws:
    `ParseException`

### namedParameter

    public final void namedParameter()
                              throws ParseException

  Throws:
    `ParseException`

### pathExpression

    public final void pathExpression()
                              throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

  Reinitialise.

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

  Reinitialise.

### ReInit

    public void ReInit(Reader stream)

  Reinitialise.

### ReInit

    public void ReInit(ExpressionParserTokenManager tm)

  Reinitialise.

### getNextToken

    public final Token getNextToken()

  Get the next Token.

### getToken

    public final Token getToken(int index)

  Get the specific Token.

### generateParseException

    public ParseException generateParseException()

  Generate ParseException.

### enable_tracing

    public final void enable_tracing()

  Enable tracing.

### disable_tracing

    public final void disable_tracing()

  Disable tracing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.